/* DEC ALPHAs running OSF/1 3.0 at Princeton University */

#include <string.h>

char *cpp[] = {
	"/usr/local/lib/cpp", "-D__STDC__=1",		/* dmr's preprocessor */
	"-D_unix", "-D__unix", "-D_osf", "-D__osf",
	"-Dalpha", "-D_alpha", "-D__alpha",
	"-D__SYSTYPE_BSD__",  "-D_SYSTYPE_BSD",
	"-DALPHA", "-D_ALPHA", "-D__ALPHA",
	"$1", "$2", "$3", 0 };
char *com[] =  { "/usr/local/lib/rcc", "$1", "$2", "$3", 0 };
char *include[] = { "-I/usr/include", 0 };
char *as[] =  { "/bin/as", "-o", "$3", "", "$1", "-nocpp", "$2", 0 };
char *ld[] =  { "/usr/bin/ld", "-o", "$3", "/usr/lib/crt0.o", "$1", "$2", "", "", "-lm", "-lc", 0 };

int option(arg) char *arg; {
	if (strcmp(arg, "-b") == 0 && access("/usr/local/lib/bbexit.o", 4) == 0)
		ld[6] = "/usr/local/lib/bbexit.o";
	else
		return 0;
	return 1;
}
